KPAT(6)

NAME
kpat - Zestaw bardzo uzależniających gier karcianych dla KDE

SYNOPSIS

kpat [Opcje Qt...] [Opcje KDE...]

OPIS

KPatience jest kompendium wielu znanych gier karcianych, poczynając od bardzo dobrze znanych gier takich jak Klondike czy Freecell, to mniej znanych, jak na przykład Zegar Dziadka lub Mod3. W grze dostępnych jest 13 różnych pasjansów, co pozwoli na miłe spędzanie wolnego czasu.

PARAMETRY

Program stosuje standardową składnię wiersza poleceń znaną z innych programów GNU, z długimi opcjami poprzedzanymi podwójną kreską ('--'). Zestawienie opcji rozpoznawanych przez polecenie kpat przedstawiono poniżej.

  Parametry ogólne

--author
    Wyświetla informacje o autorach programu

--help
    Wyświetla stronę pomocy o dostępnych opcjach

--help-qt
    Wyświetla opcje związane z biblioteką Qt

--help-kde
    Wyświetla opcje związane z KDE

--help-all
    Wyświetla wszystkie dostępne opcje

--license
    Wyświetla licencję programu

-v, --version
    Wyświetla informacje o wersji programu.

  Opcje związane z biblioteką Qt

--display nazwa
    Wykorzystanie ekranu serwera X nazwa.

--session sessionId
    Przywraca program dla podanego identyfikatora sesji sessionId.

--cmap
    Powoduje iż program będzie stosował własną mapę kolorów na ekranach 8 bitowych.

--ncols liczba
    Ogranicza liczbę kolorów przydzielonych programowi działającemu na ekranach bitowych. Działa wtedy gdy program korzysta ze specyfikacji kolorów: QApplication::ManyColor .

--nograb
    wyłącza przechwytywanie myszy i klawiatury przez Qt.

--dograb
    uruchomienie programu w debuggerze może spowodować niejawne zastosowanie opcji --nograb, zastosowanie --dograb wymusza pożądane działanie.

--sync
    przełącza na tryb synchroniczny dla debugera.

--fn, --font nazwa_czcionki
    określa czcionkę programu.

--bg, --background kolor
    definiuje domyślny kolor tła oraz paletę kolorów dla aplikacji (względem tego koloru obliczane są kolory cieniowania).

--fg,--foreground kolor
    definiuje domyślny kolor dla tekstu..

--btn, --button kolor
    definiuje domyślny kolor dla przycisków.

--name nazwa
    ustawia nazwę programu.

--title tytuł
    ustawia tytuł programu (tytuł w pasku).

--visual TrueColor
    Wymusza na programie korzystanie z grafiki TrueColorna ekranach 8 bitowych.

--inputstyle
    Definiuje styl komunikacji z serwerem X - XIM (X Input Method). Możliwe wartości to: onthespot, overthespot, offthespot oraz root.

--im XIM server
    ustawia serwer XIM.

--noxim
    wyłącza XIM.

  Opcje związane z KDE

--caption tytuł_okna
    Użyj tytuł_okna jako nazwy na pasku tytułowym.

--icon ikona
    Powoduje użycie podanej ikony dla programu.

--miniicon ikona
    Powoduje użycie podanej ikony na pasku tytułowym programu.

--dcopserver serwer
    Użyj serwera DCOP określonego przez serwer.

--nocrashhandler
    Wyłącz obsługę błędów, włącz zrzuty pamięci.

--waitforwm
    Powoduje oczekiwanie na menedżera okien kompatybilnego z WM_NET.

--style styl
    ustaw styl interfejsu graficznego programu.

--geometry geometria
    ustawia geometrię wyświetlania dla głównego obiektu okna.

ZOBACZ TAKżE

Szczegółowa dokumentacja programu KPatience dostępna jest w Podręczniku KPatience (poszukaj pliku $KDEDIRshare/doc/HTML/en/kpat/index.html lub wpisz help://kpat/index.html w programie Konqueror).

http://www.kde.org/: http://www.kde.org/

AUTOR

Autorami programu KPatience są: Paul Olav TveteMario Weilguni <mweilguni@kde.org>Matthias Ettrich <ettrich@kde.org>Rodolfo Borges <barrett@labma.ufrj.br>Peter H. Ruegg <kpat@incense.org>Michael Koch <koch@kde.org>Marcus Meissner <mm@caldera.de>Shlomi Fish <shlomif@vipe.technion.ac.il>Stephan Kulow <coolo@kde.org>